DPVECT(3NCARG)

NAME
DPVECT - Specifies the second and following points in a sequence of points, in the user coordinate system, defining a curve to be drawn.

SYNOPSIS
CALL DPVECT (XCPU,YCPU)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_dpvect (float xcpu, float ycpu);

DESCRIPTION

XCPU
    (an input expression of type REAL) specifies the X coordinate of a point, in the user coordinate system.

YCPU
    (an input expression of type REAL) specifies the Y coordinate of a point, in the user coordinate system.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
Call DPFRST to do a "pen-up" move to the first of a sequence of points defining a curve. Call DPVECT to do "pen-down" moves to each of the other points in the sequence and then call DPLAST to finish drawing the curve and flush the buffers.

DPVECT maps the input coordinates to the fractional coordinate system and then does a "pen-down" call to either DPDRAW (if smoothing is turned off) or to DPSMTH (if smoothing is turned on) with those coordinates.

EXAMPLES
Use the ncargex command to see the following relevant examples: tdshpk.

ACCESS
To use DPVECT or c_dpvect, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: dashpack, dashpack_params, dpcurv, dpdraw, dpfrst, dpgetc, dpgeti, dpgetr, dplast, dpline, dpsetc, dpseti, dpsetr, dpsmth, dpvect, ncarg_cbind.

Hardcopy: None.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.